Subject: RE: 1.5.10: expr + configure failure + testcase (also on 1.5.11-1)
From: "Bogdan Vacaliuc" <[email-masked]>
To: <[email-masked]>
Date: Tue, 14 Sep 2004 03:04:14 -0400

Peter,

I didn't see your post until after I sent mine.  Anyway, I forgot to attach the trace I made and referred to in my post, sorry.
(It's late...)

I looked at your trace.

> I said:
>
> In my trace (not Peter's) there are also some lines like:
> 
>   324 16458452 [main] bash 1048 
> fhandler_base::set_no_inheritance: DuplicateHandle failed, 
> The parameter is incorrect.
>   237 16458689 [main] bash 1048 
> fhandler_base::set_close_on_exec: set close_on_exec for 
> /dev/console to 1

In your *new* trace there are the same trace (on line 176632) in the 'zone' between the fork() and the parent-shell exit decision
point of your most recent trace.

Did you update your cygwin since your last run?  Perhaps its just an artifact?  The set happens 4 times in your trace:

 1415 34111305 [main] bash 1696 fcntl_worker: 0 = fcntl (1, 1, 0x0)
  484 34111789 [main] bash 1696 fhandler_base::set_no_inheritance: DuplicateHandle failed, Win32 error 87
  121 34111910 [main] bash 1696 fhandler_base::set_close_on_exec: set close_on_exec for /dev/console to 1
  933 34112038 [main] bash 456 dtable::dup2: 1 = dup2 (3, 1)
  122 34112160 [main] bash 456 close: close (3)
  119 34112279 [main] bash 456 fhandler_base::close: closing '/dev/null' handle 0x338
  126 34112405 [main] bash 456 close: 0 = close (3)
  244 34112649 [main] bash 456 spawnve: spawnve (/usr/bin/expr, expr, A059278)
  905 34112815 [main] bash 1696 fhandler_base::set_no_inheritance: DuplicateHandle failed, Win32 error 87
  123 34112938 [main] bash 1696 fcntl_worker: 0 = fcntl (10, 2, 0x1)
  123 34113061 [main] bash 1696 dtable::dup2: dup2 (2, 1)
  125 34113186 [main] bash 1696 build_fh_pc: fh 0x61781A80
  121 34113307 [main] bash 1696 fhandler_base::set_flags: flags 0x10002, supplied_bin 0x0
  119 34113426 [main] bash 1696 fhandler_base::set_flags: O_TEXT/O_BINARY set in flags 0x10000
  907 34113556 [main] bash 456 spawn_guts: spawn_guts (3, /usr/bin/expr)
 
Hmmm.

-bogdan
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/